Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

slicer solid

0 REPLIES 0
Reply
Message 1 of 1
Anonymous
121 Views, 0 Replies

slicer solid

I would like this program
to place each section on a separate layer in AutoCAD 2000 could someone show
me how it would be written?

(setq thickness (getreal "Input slicing layer thickness: "))

(setq object (entsel "Please select slicing object:"))

(setq z_val 0)

(setq point1 (list 0 0 0))

(setq modelmax (getvar "extmax"))

(setq modelmin (getvar "extmin"))

(setq zheight (- (caddr modelmax) (caddr modelmin)))

(if (> 0 (caddr modelmin))

(progn

(command "move" object "" modelmin point1)

(command "zoom" "all")

)

)

(command "layer" "m" "slice" "c" "red" """")

(while (< z_val zheight)

(setq z_val (caddr point1))

(setq z_val (+ thickness z_val))

(setq point1 (list 0 0 z_val))

(command "section" object "" "xy" point1)

)

(command "layer" "off" "0" "")

(command "redraw")
0 REPLIES 0

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost